CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the e-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: „/some path/with spaces“

[OPTIONS]

--add-simple-plugin
    Pievienot vienkāršu spraudni (tas ir spraudnis, kas sastāv tikai no .py datnes), norādot ceļu uz .py datni ar spraudņa kodu.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Atkļūdot iekārtu noteikšanu

--default-programs
    (de)reģistrēt calibre no Windows noklusētajām programmām --default-programs = (register|unregister)

--diff
    Palaist calibre salīdzināšanas rīku. Piemēram: calibre-debug --diff file1 file2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins)

--gui, -g
    Palaist grafisko saskarni atkļūdošanas režīmā. Atkļūdošanas informācija tiek izvadīta uz stdout ierīcēm stderr.

--gui-debug
    Palaist grafisko saskarni ar atkļūdošanas konsoli, rakstot atkļūdošanas žurnālu norādītajā mapē. Tikai iekšējai lietošanai; izmantojiet -g papildiespēju, lai palaistu grafisko saskarni atkļūdošanas režīmā.

--help, -h
    parādīt šo palīdzības paziņojumu un iziet

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Import previously exported calibre data

--inspect-mobi, -m
    Pārbaudīt MOBI datni(es) norādītajā(s) mapē(s)

--paths
    Izvades ceļi vajadzīgi, lai iestatītu Calibre vidi

--reinitialize-db
    Atkārtoti izveidot Calibre SQLite datubāzi norādītajā ceļā. Noderīgi, lai atjaunotu sabojātas datubāzes gadījumā.

--run-plugin, -r
    Palaist spraudni, kas nodrošina komandrindas saskarni. Piemēram: calibre-debug -r "Add Books" -- file1 --option1 Viss, kas atrodas aiz -- tiks nodots spraudnim kā argumenti.

--shutdown-running-calibre, -s
    Izsauc darbojošās Calibre procesa, ja tāds pastāv, apturēšanu. Ņemiet vērā - ja notiek darbu izpilde, tie tiks pārtraukti bez paziņojuma, tādēļ lietojiet ar piesardzību.

--subset-font, -f
    Iegult norādītā fonta apakškopu. Izmantojiet -- pēc šī papildiespējas, lai nodotu to tālāk apakškopu veidojošajai lietonei.

--test-build
    Pārbaudīt bināros moduļus laidienā

--version
    parādīt programmas versijas numuru un iziet

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal